Overview
GET
/integration/integration-calendar-eventsintegrationList integration_calendar_events
List integration-calendar-events.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- titlestring
- descriptionstring?
- startTimestring?
- endTimestring?
- startDatestring?
- endDatestring?
- isAllDayboolean
- locationstring?
- sourcestring
- externalIdstring
- connectionIdstring?
- calendarNamestring?
- calendarColorstring?
- statusstring
- organizerstring?
- attendeesstring?
- remindersstring?
- urlstring?
- aiExtractionstring?
- createdAtstring
- updatedAtstring
- isDeletedboolean
- syncVersioninteger
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
Example
[
{
"id": "string",
"title": "string",
"description": "string",
"startTime": "string",
"endTime": "string",
"startDate": "string",
"endDate": "string",
"isAllDay": true,
"location": "string",
"source": "string",
"externalId": "string",
"connectionId": "string",
"calendarName": "string",
"calendarColor": "string",
"status": "string",
"organizer": "string",
"attendees": "string",
"reminders": "string",
"url": "string",
"aiExtraction": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true,
"syncVersion": 0,
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/integration/integration-calendar-events" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-calendar-events", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();